### Hierarchy

- unknown
  - Mediator

## Index

### Constructors

- constructor

### Methods

- addLanguageCodes
- clearExtraDataMap
- clearLanguageCodesList
- clearNodeAddress
- clearPubKeyRing
- getEmailAddress
- getExtraDataMap
- getInfo
- getLanguageCodesList
- getNodeAddress
- getPubKeyRing
- getRegistrationDate
- getRegistrationPubKey
- getRegistrationPubKey_asB64
- getRegistrationPubKey_asU8
- getRegistrationSignature
- hasNodeAddress
- hasPubKeyRing
- serializeBinary
- setEmailAddress
- setInfo
- setLanguageCodesList
- setNodeAddress
- setPubKeyRing
- setRegistrationDate
- setRegistrationPubKey
- setRegistrationSignature
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Mediator(): Mediator

- Inherited from jspb.Message.constructor

  #### Returns Mediator

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2919

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Mediator

### clearExtraDataMap

- clearExtraDataMap(): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2944

  #### Returns Mediator

### clearLanguageCodesList

- clearLanguageCodesList(): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2918

  #### Returns Mediator

### clearNodeAddress

- clearNodeAddress(): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2914

  #### Returns Mediator

### clearPubKeyRing

- clearPubKeyRing(): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2935

  #### Returns Mediator

### getEmailAddress

- getEmailAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:2937

  #### Returns string

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:2943

  #### Returns Map<string, string>

### getInfo

- getInfo(): string

- - Defined in src/protobuf/pb_pb.d.ts:2940

  #### Returns string

### getLanguageCodesList

- getLanguageCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:2916

  #### Returns string[]

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2911

  #### Returns undefined | NodeAddress

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2932

  #### Returns undefined | PubKeyRing

### getRegistrationDate

- getRegistrationDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:2921

  #### Returns number

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2927

  #### Returns string | Uint8Array

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2929

  #### Returns string

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2928

  #### Returns Uint8Array

### getRegistrationSignature

- getRegistrationSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:2924

  #### Returns string

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2913

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2934

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2946

  #### Returns Uint8Array

### setEmailAddress

- setEmailAddress(value: string): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2938

  #### Parameters

  - ##### value: string

  #### Returns Mediator

### setInfo

- setInfo(value: string): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2941

  #### Parameters

  - ##### value: string

  #### Returns Mediator

### setLanguageCodesList

- setLanguageCodesList(value: string[]): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2917

  #### Parameters

  - ##### value: string[]

  #### Returns Mediator

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2912

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Mediator

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2933

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Mediator

### setRegistrationDate

- setRegistrationDate(value: number): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2922

  #### Parameters

  - ##### value: number

  #### Returns Mediator

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2930

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Mediator

### setRegistrationSignature

- setRegistrationSignature(value: string): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2925

  #### Parameters

  - ##### value: string

  #### Returns Mediator

### toObject

- toObject(includeInstance?: boolean): Mediator . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2947

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Mediator . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2950

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Mediator

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Mediator, reader: BinaryReader): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:2951

  #### Parameters

  - ##### message: Mediator

  - ##### reader: BinaryReader

  #### Returns Mediator

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Mediator, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2949

  #### Parameters

  - ##### message: Mediator

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Mediator ): Mediator . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2948

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Mediator

  #### Returns Mediator . AsObject

Generated using TypeDoc